from typing import Any
from pydantic import BaseModel
from .geo_models_base import GeoModel, RawSurveyBaseModel, GeoPointSurveyModel


class MapLibreStyle(BaseModel):
    ...

class Store(BaseModel):
    auto_import: bool
    base_gis_type: str
    count: int
    custom: bool
    description: str
    #extra: dict[str, Any] | None
    group: str
    #icon: str
    in_menu: bool
    is_db: bool
    is_line_work: bool
    is_live: bool
    long_name: str | None
    #mapbox_layout: dict[str, Any] | None
    #mapbox_paint: dict[str, Any] | None
    #mapbox_type: str
    mapbox_type_custom: str | None
    #mapbox_type_default: str
    minor_group_1: str
    minor_group_2: str
    #model: GeoModel
    model_type: str
    name: str
    #name_letter: str
    #name_number: int
    #raw_model: GeoPointSurveyModel
    #raw_model_store_name: str
    status: str
    store: str
    style: str | None
    symbol: str | None
    title: str
    viewable_role: str | None
    z_index: int